## org.eclipse.emf.ecore.util
Interface BasicExtendedMetaData.EStructuralFeatureExtendedMetaData

All Known Implementing Classes:
  BasicExtendedMetaData.EStructuralFeatureExtendedMetaDataImpl

Enclosing class:
  BasicExtendedMetaData

    public static interface BasicExtendedMetaData.EStructuralFeatureExtendedMetaData

Nested Class Summary
`static interface` `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData.Holder`

Method Summary
`EStructuralFeature` `getAffiliation()`
`int` `getFeatureKind()`
`EStructuralFeature` `getGroup()`
`java.lang.String` `getName()`
`java.lang.String` `getNamespace()`
`int` `getProcessingKind()`
`java.util.Map<EClass,FeatureMapUtil.Validator>` `getValidatorMap()`
`java.util.List<java.lang.String>` `getWildcards()`
`void` `setAffiliation(EStructuralFeature affiliation)`
`void` `setFeatureKind(int kind)`
`void` `setGroup(EStructuralFeature group)`
`void` `setName(java.lang.String name)`
`void` `setNamespace(java.lang.String namespace)`
`void` `setProcessingKind(int kind)`
`void` `setWildcards(java.util.List<java.lang.String> wildcards)`

Method Detail

### getName

    java.lang.String getName()

### setName

    void setName(java.lang.String name)

### getNamespace

    java.lang.String getNamespace()

### setNamespace

    void setNamespace(java.lang.String namespace)

### getFeatureKind

    int getFeatureKind()

### setFeatureKind

    void setFeatureKind(int kind)

### getWildcards

    java.util.List<java.lang.String> getWildcards()

### setWildcards

    void setWildcards(java.util.List<java.lang.String> wildcards)

### getProcessingKind

    int getProcessingKind()

### setProcessingKind

    void setProcessingKind(int kind)

### getGroup

    EStructuralFeature getGroup()

### setGroup

    void setGroup(EStructuralFeature group)

### getAffiliation

    EStructuralFeature getAffiliation()

### setAffiliation

    void setAffiliation(EStructuralFeature affiliation)

### getValidatorMap

    java.util.Map<EClass,FeatureMapUtil.Validator> getValidatorMap()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.